#open data
d.mass<-read.table("sponges_mass.txt",header=TRUE)
head(d.mass)
t<-read.table("transects.txt",header=TRUE)
head(t)

#preliminary calculations

  #calculate transect surface
  t$S_transect=t$L_transect*t$W_transect
  head(t)
  
  #merge table mass with table transect
  tm<-merge(t,d.mass,by="Transect_ID")
  head(tm)

#total biomass per square meter

  #sponges biomass (total on all transects for each year)
  tapply(tm$dry_mass_g,factor(tm$Year.x),sum)->total_dry_mass
  tapply(tm$AFDM_g,factor(tm$Year.x),sum)->total_AFDM
  cbind(total_dry_mass,total_AFDM)->total_biomass

  #area surveyed (total surface of all transects for each year)
  tapply(t$S_transect,factor(t$Year),sum)->total_surface
  cbind(total_surface,total_surface)->area_surveyed

  #total biomass per square meter(total biomass/area surveyed)
  total_biomass/area_surveyed

#biomass distribution

  #biomass on each transect
  tapply(tm$dry_mass_g,factor(tm$Transect_ID),sum)->transect_dry_mass
  tapply(tm$AFDM_g,factor(tm$Transect_ID),sum)->transect_AFDM
  tapply(tm$Year.x,factor(tm$Transect_ID),mean)->Year
  cbind(transect_dry_mass,transect_AFDM,Year)->transect_biomass

  #surface of each transect
  tapply(tm$S_transect,factor(tm$Transect_ID),mean)->transect_surface
  Year/Year->trick.1
  cbind(transect_surface,transect_surface,trick.1)->t_surface

  #transect biomass per square meter(transect biomass/transect surface) 
  transect_biomass/t_surface->t_biomass

#plots
  
  #boxplot
  par(mfrow=c(1,2))
  boxplot(transect_dry_mass~Year,data=t_biomass,main="dry mass [g/m^2]")
  boxplot(transect_AFDM~Year,data=t_biomass,main="ash free dry mass [g/m^2]")
