#open transects data data
transect<-read.table("transects.txt",header=TRUE)
head(transect)

#preliminary calculations

  #calculate transect surface
    transect$S_transect=transect$L_transect*transect$W_transect
    head(transect)

#plots
  #boxplots: distribution of sponges abundances during both dives
    par(mfrow=c(1,3))
    boxplot(L_transect~Year,data=transect,name=transect$Year,main="Length [m]")
    boxplot(W_transect~Year,data=transect,name=transect$Year,main="Width [m]")
    boxplot(S_transect~Year,data=transect,name=transect$Year,main="Surface [m^2]")

#create data selection for 2007 and 2011

  #filter years
  transect$Year==2007->s.t2007
  transect$Year==2011->s.t2011
  
  #create subsets for years
  transect[s.t2007,]->d.t2007
  transect[s.t2011,]->d.t2011

#tests

  #length

    #wilcoxon test (no normal distribution, non-parametric test)
    tapply(transect$L_transect,factor(transect$Year),mean)#    2007:6.849787     2011: 8.351608
    tapply(transect$L_transect,factor(transect$Year),sd)#    2007:3.884214     2011: 3.402032
    wilcox.test(d.t2007$L_transect,d.t2011$L_transect,alternative="less")#significant p=0.005814

  #width
  
    #wilcoxon test (no normal distribution, non-parametric test) 
    tapply(transect$W_transect,factor(transect$Year),mean)#     2007:1.943191     2011: 1.610000
    tapply(transect$W_transect,factor(transect$Year),sd)#     2007:0.2960105    2011: 0.4167390 
    wilcox.test(d.t2007$W_transect,d.t2011$W_transect,alternative="greater")#significant p=2.518e-06

  #surface
  
    #wilcoxon test (no normal distribution, non-parametric test) 
    tapply(transect$S_transect,factor(transect$Year),mean)#     2007:13.54053     2011: 13.90955
    tapply(transect$S_transect,factor(transect$Year),sd)#     2007:8.200383    2011: 8.052766 
    wilcox.test(d.t2007$S_transect,d.t2011$S_transect,alternative="two.sided")#not significant p=0.7519